#
# Conditional build:
%bcond_with	tests	# do not perform "./Build test"
#
%define		pdir	Module
%define		pnam	Build
Summary:	Module::Build - build and install Perl modules
Summary(pl.UTF-8):	Module::Build - budowanie i instalowanie modułów Perla
Name:		perl-Module-Build
Version:	0.4231
Release:	2%{?tld}
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	066b193e461d7dfe1eca17a139353001
Patch0:		%{name}-startperl.patch
URL:		https://metacpan.org/release/Module-Build
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(version) >= 0.87
BuildRequires:	perl-Module-Metadata >= 1.000002
BuildRequires:	perl-Perl-OSType >= 1.00
BuildRequires:	perl-devel >= 1:5.8.0
# perl-modules provides version's version without epoch, so use perl(version) dep
#BuildRequires:	perl-version >= 1:0.87
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-CPAN-Meta >= 2.142060
BuildRequires:	perl-CPAN-Meta-YAML >= 0.003
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-ExtUtils-ParseXS >= 2.21
BuildRequires:	perl-File-Temp >= 0.15
BuildRequires:	perl-Parse-CPAN-Meta >= 1.4401
BuildRequires:	perl-Test-Harness >= 3.29
BuildRequires:	perl-Test-Simple >= 0.49
%endif
BuildConflicts:	perl(CPANPLUS::Dist::Build) < 0.08
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Build is a Perl module to build and install Perl modules. It
is meant to be a replacement for ExtUtils::MakeMaker.

%description -l pl.UTF-8
Module::Build to moduł Perla do budowania i instalowania modułów
Perla. Ma być zamiennikiem ExtUtils::MakeMaker.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Module/Build/*.pod
for s in Default MacOS VMS VOS Windows aix cygwin darwin os2 ; do
	%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Module/Build/Platform/${s}.pm
	%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/Module::Build::Platform::${s}.3pm
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/config_data
%{perl_vendorlib}/Module/Build.pm
%dir %{perl_vendorlib}/Module/Build
%{perl_vendorlib}/Module/Build/*.pm
%dir %{perl_vendorlib}/Module/Build/Platform
%{perl_vendorlib}/Module/Build/Platform/Unix.pm
%{_mandir}/man1/config_data.1*
%{_mandir}/man3/Module::Build.3pm*
%{_mandir}/man3/Module::Build::[!P]*.3pm*
%{_mandir}/man3/Module::Build::PPMMaker.3pm*
%{_mandir}/man3/Module::Build::Platform::Unix.3pm*
%changelog
* Wed Jan 10 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Module-Build.git;a=log;h=master

* Sun Feb 20 2022 Marcin Krol <hawk@tld-linux.org> eae9db1
- rediffed

* Mon May 04 2020 Jakub Bogusz <qboosh@pld-linux.org> a1def3e
- updated to 0.4231

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> eca11ba
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Apr 16 2019 Adam Gołębiowski <adamg@pld-linux.org> 48eafc0
- updated to 0.4229

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 3a6cc0a
- updated to 4.224

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 7543fb9
- Up to 0.4222

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 2a514af
- updated to 0.4214

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4d67695
- release 3 (by relup.sh)

* Mon Sep 28 2015 Elan Ruusamäe <glen@delfi.ee> 9da1859
- release 2 (by relup.sh)

* Tue Sep 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 187920d
- up to 0.4210

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 1dd9e8e
- updated to 0.40, epoch 2

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 14e10f9
- cleanup

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> 9cc7e33
- s/perl-CPAN/perl-CPAN-Meta
- rel 2

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> b498058
- up to 0.3800
- BRs: perl-CPAN, perl-Parse-CPAN-Meta >= 1.4401 for tests

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 15160db
- unified Source URL

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> 709679f
- updated to 0.3624
- updated BRs versions
- new BRs: perl-CPAN-Meta-YAML, perl-Module-Metadata >= 1.000002, perl-Perl-OSType >= 1.00, perl-version >= 1:0.87

* Thu Apr 08 2010 lisu <lisu@pld-linux.org> fd974da
- up to 0.3607

* Mon Feb 15 2010 sparky <sparky@pld-linux.org> 557c99b
- Epoch: 1 (because 0.340201 > 0.3603)

* Mon Feb 15 2010 lisu <lisu@pld-linux.org> accea55
- new Soruce0 URL

* Mon Feb 15 2010 lisu <lisu@pld-linux.org> 0bc1e35
- updated to 0.3601

